Index: issm/trunk/Makefile.am
===================================================================
--- issm/trunk/Makefile.am	(revision 12709)
+++ issm/trunk/Makefile.am	(revision 13395)
@@ -1,3 +1,6 @@
-EXTRA_DIST = reconf  scripts test m4 examples cron etc doc packages contributors.txt 
-SUBDIRS = src bin
+EXTRA_DIST = reconf scripts test m4 examples cron etc doc packages contributors.txt 
+SUBDIRS = src
 bin_SCRIPTS=config.h startup.m README.rtf
+
+ACLOCAL_AMFLAGS = -I m4
+
Index: issm/trunk/configs/config-arm-linux.sh
===================================================================
--- issm/trunk/configs/config-arm-linux.sh	(revision 12709)
+++ issm/trunk/configs/config-arm-linux.sh	(revision 13395)
@@ -5,6 +5,8 @@
     --build="i386-apple-darwin10.8.0" \
     --host="arm-linux-androideabi" \
+    --enable-shared \
     --without-fortran \
 	--without-modules \
 	--with-gsl-dir=$ISSM_DIR/externalpackages/gsl/install \
-	--with-triangle-dir=$ISSM_DIR/externalpackages/triangle/install 
+	--with-triangle-dir=$ISSM_DIR/externalpackages/triangle/install \
+    --disable-static
Index: issm/trunk/configs/config-discover.sh
===================================================================
--- issm/trunk/configs/config-discover.sh	(revision 12709)
+++ issm/trunk/configs/config-discover.sh	(revision 13395)
@@ -18,8 +18,7 @@
  --with-scalapack-dir="/usr/local/intel/mkl/10.1.2.024/lib/64/" \
  --with-blacs-dir="/usr/local/intel/mkl/10.1.2.024/lib/64/" \
- --with-plapack-lib="-L$ISSM_DIR/externalpackages/petsc/install/ -lPLAPACK" \
- --with-plapack-include="-I$ISSM_DIR/externalpackages/petsc/install/externalpackages/PLAPACKR32-hg/INCLUDE" \
  --with-blas-lapack-dir="/usr/local/intel/mkl/10.1.2.024/lib/64/" \
- --with-mumps-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+ --with-mumps-dir=$ISSM_DIR/externalpackages/petsc/install \
+ --with-tao-dir=$ISSM_DIR/externalpackages/tao/install \
  --with-graphics-lib=/usr/lib64/libX11.so \
  --with-cxxoptflags="-O3 -xS" \
Index: issm/trunk/configs/config-greenplanet.sh
===================================================================
--- issm/trunk/configs/config-greenplanet.sh	(revision 12709)
+++ issm/trunk/configs/config-greenplanet.sh	(revision 13395)
@@ -1,3 +1,3 @@
-#!/bin/csh
+#!/bin/sh
 
 #PETSc 3.2
Index: issm/trunk/configs/config-linux64-ad.sh
===================================================================
--- issm/trunk/configs/config-linux64-ad.sh	(revision 12709)
+++ issm/trunk/configs/config-linux64-ad.sh	(revision 13395)
@@ -18,3 +18,3 @@
 	--without-groundingline \
 	--without-kriging  \
-	--with-adolc-dir=$ADOLC_DIR 
+	--with-adolc-dir=$ISSM_DIR/externalpackages/adolc/install
Index: issm/trunk/configs/config-linux64-astrid-ad.sh
===================================================================
--- issm/trunk/configs/config-linux64-astrid-ad.sh	(revision 12709)
+++ issm/trunk/configs/config-linux64-astrid-ad.sh	(revision 13395)
@@ -2,35 +2,10 @@
 
 ./configure \
- --prefix=$ISSM_DIR \
- --with-serial=no\
- --with-metis-dir=$ISSM_DIR/externalpackages/metis/install \
- --with-petsc-dir=$ISSM_DIR/externalpackages/petsc/install \
- --with-mpi-include=$ISSM_DIR/externalpackages/mpich2/install/include  \
- --with-mpi-lib="-L$ISSM_DIR/externalpackages/mpich2/install/lib/ -lmpich" \
- --with-petsc-arch=$ISSM_ARCH \
- --with-blas-lapack-dir=$ISSM_DIR/externalpackages/petsc/install \
- --with-plapack-lib="-L$ISSM_DIR/externalpackages/petsc/install/ -lPLAPACK" \
- --with-plapack-include="-I$ISSM_DIR/externalpackages/petsc/install/externalpackages/PLAPACKR32-hg/INCLUDE" \
- --with-blacs-dir=$ISSM_DIR/externalpackages/petsc/install/ \
- --with-scalapack-dir=$ISSM_DIR/externalpackages/petsc/install/ \
- --with-mumps-dir=$ISSM_DIR/externalpackages/petsc/install/ \
- --with-graphics-lib=/usr/lib64/libX11.so \
- --with-cxxoptflags="-march=opteron -O2" \
- --with-fortran-lib="-L/usr/lib/gcc/x86_64-redhat-linux/4.1.1/ -lgfortran" \
- --with-rose-dir=$ISSM_DIR/externalpackages/rose/install/ \
- --with-adic2-dir=$ISSM_DIR/externalpackages/adic/install/ \
- --with-numthreads=24 \
- --without-thermal \
- --without-control \
- --without-hydrology \
- --without-diagnostic \
- --without-balanced \
- --without-responses \
- --without-slope \
- --without-rifts \
- --without-steadystate \
- --without-transient \
- --without-3d \
- --without-groundingline
- 
-#--without-prognostic \
+	--prefix=$ISSM_DIR \
+	--without-kriging  \
+	--without-kml  \
+	--with-gsl-dir=$ISSM_DIR/externalpackages/gsl/install \
+	--with-adolc-dir=$ISSM_DIR/externalpackages/adolc/install \
+	--with-adolc-version=3 \
+	--with-matlab-dir=$MATLAB_DIR \
+	--with-triangle-dir=$ISSM_DIR/externalpackages/triangle/install \
Index: issm/trunk/configs/config-linux64-astrid-petsc3.3.sh
===================================================================
--- issm/trunk/configs/config-linux64-astrid-petsc3.3.sh	(revision 13395)
+++ issm/trunk/configs/config-linux64-astrid-petsc3.3.sh	(revision 13395)
@@ -0,0 +1,33 @@
+#!/bin/sh
+
+#External packages versions:
+#petsc 3.3
+#mpich 1.4
+
+./configure \
+ --prefix=$ISSM_DIR \
+ --with-matlab-dir=$MATLAB_DIR \
+ --with-triangle-dir=$ISSM_DIR/externalpackages/triangle/install \
+ --with-metis-dir=$ISSM_DIR/externalpackages/petsc/src/externalpackages/metis-5.0.2-p3 \
+ --with-petsc-dir=$ISSM_DIR/externalpackages/petsc/install \
+ --with-tao-dir=$ISSM_DIR/externalpackages/tao/install \
+ --with-mpi-include=$ISSM_DIR/externalpackages/mpich2/install/include  \
+ --with-mpi-lib="-L$ISSM_DIR/externalpackages/mpich2/install/lib/ -lmpich -lmpl " \
+ --with-petsc-arch=$ISSM_ARCH \
+ --with-gsl-dir=$ISSM_DIR/externalpackages/gsl/install \
+ --with-dakota-dir=$ISSM_DIR/externalpackages/dakota/install \
+ --with-blas-lapack-dir=$ISSM_DIR/externalpackages/petsc/install \
+ --with-plapack-lib="-L$ISSM_DIR/externalpackages/petsc/install/ -lPLAPACK" \
+ --with-plapack-include="-I$ISSM_DIR/externalpackages/petsc/install/externalpackages/PLAPACKR32-hg/INCLUDE" \
+ --with-blacs-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+ --with-scalapack-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+ --with-mumps-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+ --with-scotch-dir="$ISSM_DIR/externalpackages/scotch/install" \
+ --with-chaco-dir="$ISSM_DIR/externalpackages/chaco/install" \
+ --with-shapelib-dir="$ISSM_DIR/externalpackages/shapelib/install" \
+ --with-fortran-lib="-L/usr/lib/gcc/x86_64-redhat-linux/4.1.1/ -lgfortran" \
+ --with-graphics-lib=/usr/lib64/libX11.so \
+ --with-cxxoptflags="-march=opteron -O2" \
+ --with-numthreads=16 \
+ --enable-debugging
+ #--with-serial=no \
Index: issm/trunk/configs/config-linux64-astrid-petscdev.sh
===================================================================
--- issm/trunk/configs/config-linux64-astrid-petscdev.sh	(revision 12709)
+++ issm/trunk/configs/config-linux64-astrid-petscdev.sh	(revision 13395)
@@ -1,6 +1,4 @@
 #!/bin/sh
 
-#External packages versions:
-#petsc Dev: FH trying out
 #mpich 1.4
 
@@ -17,6 +15,4 @@
  --with-dakota-dir=$ISSM_DIR/externalpackages/dakota/install \
  --with-blas-lapack-dir=$ISSM_DIR/externalpackages/petsc/install \
- --with-plapack-lib="-L$ISSM_DIR/externalpackages/petsc/install/ -lPLAPACK" \
- --with-plapack-include="-I$ISSM_DIR/externalpackages/petsc/install/externalpackages/PLAPACKR32-hg/INCLUDE" \
  --with-blacs-dir=$ISSM_DIR/externalpackages/petsc/install/ \
  --with-scalapack-dir=$ISSM_DIR/externalpackages/petsc/install/ \
@@ -24,14 +20,10 @@
  --with-spai-dir=$ISSM_DIR/externalpackages/petsc/install/ \
  --with-hypre-dir=$ISSM_DIR/externalpackages/petsc/install/ \
- --with-prometheus-dir=$ISSM_DIR/externalpackages/petsc/install/ \
  --with-superlu-dir=$ISSM_DIR/externalpackages/petsc/install/ \
- --with-spooles-dir=$ISSM_DIR/externalpackages/petsc/install/ \
- --with-pastix-dir=$ISSM_DIR/externalpackages/petsc/install/ \
- --with-scotch-dir="$ISSM_DIR/externalpackages/scotch/install" \
  --with-chaco-dir="$ISSM_DIR/externalpackages/chaco/install" \
  --with-shapelib-dir="$ISSM_DIR/externalpackages/shapelib/install" \
  --with-fortran-lib="-L/usr/lib/gcc/x86_64-redhat-linux/4.1.1/ -lgfortran" \
  --with-graphics-lib=/usr/lib64/libX11.so \
- --with-cxxoptflags="-march=opteron -O2" \
+ --with-cxxoptflags="-march=opteron -O3" \
  --with-numthreads=32 \
  --enable-debugging
Index: issm/trunk/configs/config-linux64-astrid-python.sh
===================================================================
--- issm/trunk/configs/config-linux64-astrid-python.sh	(revision 12709)
+++ issm/trunk/configs/config-linux64-astrid-python.sh	(revision 13395)
@@ -13,19 +13,10 @@
  --with-metis-dir=$ISSM_DIR/externalpackages/metis/install \
  --with-petsc-dir=$ISSM_DIR/externalpackages/petsc/install \
- --with-tao-dir=$ISSM_DIR/externalpackages/tao/install \
  --with-mpi-include=$ISSM_DIR/externalpackages/mpich2/install/include  \
  --with-mpi-lib="-L$ISSM_DIR/externalpackages/mpich2/install/lib/ -lmpich " \
  --with-petsc-arch=$ISSM_ARCH \
- --with-gsl-dir=$ISSM_DIR/externalpackages/gsl/install \
- --with-dakota-dir=$ISSM_DIR/externalpackages/dakota/install \
  --with-blas-lapack-dir=$ISSM_DIR/externalpackages/petsc/install \
- --with-plapack-lib="-L$ISSM_DIR/externalpackages/petsc/install/ -lPLAPACK" \
- --with-plapack-include="-I$ISSM_DIR/externalpackages/petsc/install/externalpackages/PLAPACKR32-hg/INCLUDE" \
  --with-blacs-dir=$ISSM_DIR/externalpackages/petsc/install/ \
- --with-scalapack-dir=$ISSM_DIR/externalpackages/petsc/install/ \
  --with-mumps-dir=$ISSM_DIR/externalpackages/petsc/install/ \
- --with-scotch-dir="$ISSM_DIR/externalpackages/scotch/install" \
- --with-chaco-dir="$ISSM_DIR/externalpackages/chaco/install" \
- --with-shapelib-dir="$ISSM_DIR/externalpackages/shapelib/install" \
  --with-fortran-lib="-L/usr/lib/gcc/x86_64-redhat-linux/4.1.1/ -lgfortran" \
  --with-graphics-lib=/usr/lib64/libX11.so \
Index: issm/trunk/configs/config-linux64-astrid.sh
===================================================================
--- issm/trunk/configs/config-linux64-astrid.sh	(revision 12709)
+++ issm/trunk/configs/config-linux64-astrid.sh	(revision 13395)
@@ -7,14 +7,17 @@
 ./configure \
  --prefix=$ISSM_DIR \
- --with-matlab-dir=$MATLAB_DIR \
+ --with-matlab-dir=$ISSM_DIR/externalpackages/matlab/install \
  --with-triangle-dir=$ISSM_DIR/externalpackages/triangle/install \
  --with-metis-dir=$ISSM_DIR/externalpackages/metis/install \
  --with-petsc-dir=$ISSM_DIR/externalpackages/petsc/install \
+ --with-python-dir=$ISSM_DIR/externalpackages/python/install\
+ --with-python-numpy-dir=$ISSM_DIR/externalpackages/python/install/lib/python2.7/site-packages/numpy/core/include/numpy\
+ --with-python-version=2.7\
  --with-tao-dir=$ISSM_DIR/externalpackages/tao/install \
+ --with-dakota-dir=$ISSM_DIR/externalpackages/dakota/install \
  --with-mpi-include=$ISSM_DIR/externalpackages/mpich2/install/include  \
  --with-mpi-lib="-L$ISSM_DIR/externalpackages/mpich2/install/lib/ -lmpich -lmpl " \
  --with-petsc-arch=$ISSM_ARCH \
  --with-gsl-dir=$ISSM_DIR/externalpackages/gsl/install \
- --with-dakota-dir=$ISSM_DIR/externalpackages/dakota/install \
  --with-blas-lapack-dir=$ISSM_DIR/externalpackages/petsc/install \
  --with-plapack-lib="-L$ISSM_DIR/externalpackages/petsc/install/ -lPLAPACK" \
@@ -29,5 +32,4 @@
  --with-graphics-lib=/usr/lib64/libX11.so \
  --with-cxxoptflags="-march=opteron -O2" \
- --with-numthreads=32 \
+ --with-numthreads=16 \
  --enable-debugging
- #--with-serial=no \
Index: issm/trunk/configs/config-macosx64-chris-bothapis.sh
===================================================================
--- issm/trunk/configs/config-macosx64-chris-bothapis.sh	(revision 13395)
+++ issm/trunk/configs/config-macosx64-chris-bothapis.sh	(revision 13395)
@@ -0,0 +1,33 @@
+#!/bin/sh
+
+#petsc 3.2
+#mpich 1.4
+
+pythonversion=2.7
+
+./configure \
+	--prefix=$ISSM_DIR \
+	--with-triangle-dir=$ISSM_DIR/externalpackages/triangle/install \
+	--with-matlab-dir=$MATLAB_DIR \
+	--with-python-dir=$ISSM_DIR/externalpackages/python/install\
+	--with-python-version=$pythonversion \
+	--with-python-numpy-dir=$ISSM_DIR/externalpackages/python/install/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/numpy\
+	--with-metis-dir=$ISSM_DIR/externalpackages/metis/install \
+	--with-mpi-include=$ISSM_DIR/externalpackages/mpich2/install/include  \
+	--with-mpi-lib=" $ISSM_DIR/externalpackages/mpich2/install/lib/libpmpich.a $ISSM_DIR/externalpackages/mpich2/install/lib/libmpich.a $ISSM_DIR/externalpackages/mpich2/install/lib/libmpl.a " \
+	--with-chaco-dir=$ISSM_DIR/externalpackages/chaco/install \
+	--with-fortran-lib="/usr/local/gfortran/lib/gcc/x86_64-apple-darwin10/4.6.2/libgfortran.a" \
+	--with-math-lib="/usr/lib/libm.dylib" \
+	--with-graphics-lib="/usr/X11/lib/libX11.dylib" \
+	--with-cxxoptflags=" -fno-common -no-cpp-precomp -fexceptions -arch x86_64 -mmacosx-version-min=10.5  -O3 -DNDEBUG -w "\
+	--with-numthreads=8 \
+	--with-petsc-dir=$ISSM_DIR/externalpackages/petsc/install  \
+	--with-petsc-arch=$ISSM_ARCH \
+	--with-blas-lapack-dir=$ISSM_DIR/externalpackages/petsc/install \
+	--with-blacs-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+	--with-scalapack-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+	--with-mumps-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+	--with-numthreads=8
+	#--with-fortran-lib="/usr/local/gfortran/lib/libgfortran.a" \
+	#--with-dakota-dir=$ISSM_DIR/externalpackages/dakota/install \
+	#--with-boost-dir=$ISSM_DIR/externalpackages/boost/install/ \
Index: issm/trunk/configs/config-macosx64-chris-python.sh
===================================================================
--- issm/trunk/configs/config-macosx64-chris-python.sh	(revision 13395)
+++ issm/trunk/configs/config-macosx64-chris-python.sh	(revision 13395)
@@ -0,0 +1,34 @@
+#!/bin/sh
+
+#petsc 3.2
+#mpich 1.4
+
+pythonversion=2.7
+
+./configure \
+	--prefix=$ISSM_DIR \
+	--with-triangle-dir=$ISSM_DIR/externalpackages/triangle/install \
+	--with-python-dir=$ISSM_DIR/externalpackages/python/install\
+	--with-python-version=$pythonversion \
+	--with-python-numpy-dir=$ISSM_DIR/externalpackages/python/install/lib/python$pythonversion/site-packages/numpy/core/include/numpy\
+	--with-metis-dir=$ISSM_DIR/externalpackages/metis/install \
+	--with-mpi-include=$ISSM_DIR/externalpackages/mpich2/install/include  \
+	--with-mpi-lib=" $ISSM_DIR/externalpackages/mpich2/install/lib/libpmpich.a $ISSM_DIR/externalpackages/mpich2/install/lib/libmpich.a $ISSM_DIR/externalpackages/mpich2/install/lib/libmpl.a " \
+	--with-chaco-dir=$ISSM_DIR/externalpackages/chaco/install \
+	--with-fortran-lib="/usr/local/gfortran/lib/gcc/x86_64-apple-darwin10/4.6.2/libgfortran.a" \
+	--with-math-lib="/usr/lib/libm.dylib" \
+	--with-graphics-lib="/usr/X11/lib/libX11.dylib" \
+	--with-cxxoptflags=" -fno-common -no-cpp-precomp -fexceptions -arch x86_64 -mmacosx-version-min=10.5  -O3 -DNDEBUG -w "\
+	--with-numthreads=8 \
+	--with-petsc-dir=$ISSM_DIR/externalpackages/petsc/install  \
+	--with-petsc-arch=$ISSM_ARCH \
+	--with-blas-lapack-dir=$ISSM_DIR/externalpackages/petsc/install \
+	--with-plapack-lib="-L$ISSM_DIR/externalpackages/petsc/install/ -lPLAPACK" \
+	--with-plapack-include="-I$ISSM_DIR/externalpackages/petsc/install/include/ " \
+	--with-blacs-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+	--with-scalapack-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+	--with-mumps-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+	--with-numthreads=8
+	#--with-fortran-lib="/usr/local/gfortran/lib/libgfortran.a" \
+	#--with-dakota-dir=$ISSM_DIR/externalpackages/dakota/install \
+	#--with-boost-dir=$ISSM_DIR/externalpackages/boost/install/ \
Index: issm/trunk/configs/config-macosx64-larour-ad.sh
===================================================================
--- issm/trunk/configs/config-macosx64-larour-ad.sh	(revision 12709)
+++ issm/trunk/configs/config-macosx64-larour-ad.sh	(revision 13395)
@@ -3,18 +3,9 @@
 ./configure \
 	--prefix=$ISSM_DIR \
-	--without-modules\
-	--without-thermal \
-	--without-control \
-	--without-hydrology \
-	--without-diagnostic \
-	--without-balanced \
-	--without-responses \
-	--without-slope \
-	--without-rifts \
-	--without-steadystate \
-	--without-transient \
-	--without-3d \
-	--without-groundingline \
 	--without-kriging  \
-	--with-gsl-dir=$ISSM_DIR/externalpackages/gsl/install
-	#--with-adolc-dir=$ISSM_DIR/externalpackages/adolc/install\
+	--without-kml  \
+	--with-gsl-dir=$ISSM_DIR/externalpackages/gsl/install \
+	--with-adolc-dir=$ISSM_DIR/externalpackages/adolc/install \
+	--with-matlab-dir=$MATLAB_DIR \
+	--with-triangle-dir=$ISSM_DIR/externalpackages/triangle/install \
+
Index: issm/trunk/configs/config-macosx64-larour-python.sh
===================================================================
--- issm/trunk/configs/config-macosx64-larour-python.sh	(revision 12709)
+++ issm/trunk/configs/config-macosx64-larour-python.sh	(revision 13395)
@@ -4,9 +4,12 @@
 #mpich 1.4
 
+pythonversion=2.7
+
 ./configure \
 	--prefix=$ISSM_DIR \
 	--with-triangle-dir=$ISSM_DIR/externalpackages/triangle/install \
 	--with-python-dir=$ISSM_DIR/externalpackages/python/install\
-	--with-python-numpy-dir=$ISSM_DIR/externalpackages/python/install/Python.framework/Versions/3.2/lib/python3.2/site-packages/numpy/core/include/numpy\
+	--with-python-version=$pythonversion \
+	--with-python-numpy-dir=$ISSM_DIR/externalpackages/python/install/lib/python$pythonversion/site-packages/numpy/core/include/numpy\
 	--with-metis-dir=$ISSM_DIR/externalpackages/metis/install \
 	--with-mpi-include=$ISSM_DIR/externalpackages/mpich2/install/include  \
Index: issm/trunk/configs/config-macosx64-larour.sh
===================================================================
--- issm/trunk/configs/config-macosx64-larour.sh	(revision 12709)
+++ issm/trunk/configs/config-macosx64-larour.sh	(revision 13395)
@@ -24,4 +24,4 @@
 	--with-blacs-dir=$ISSM_DIR/externalpackages/petsc/install/ \
 	--with-scalapack-dir=$ISSM_DIR/externalpackages/petsc/install/ \
-	--with-mumps-dir=$ISSM_DIR/externalpackages/petsc/install/ 
-	#--with-dakota-dir=$ISSM_DIR/externalpackages/dakota/install \
+	--with-mumps-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+	--with-dakota-dir=$ISSM_DIR/externalpackages/dakota/install 
Index: issm/trunk/configs/config-macosx64-lion-helene.sh
===================================================================
--- issm/trunk/configs/config-macosx64-lion-helene.sh	(revision 13395)
+++ issm/trunk/configs/config-macosx64-lion-helene.sh	(revision 13395)
@@ -0,0 +1,34 @@
+#!/bin/sh
+
+#petsc 3.2
+#mpich 1.4
+
+pythonversion=2.7
+
+./configure \
+	--prefix=$ISSM_DIR \
+	--with-matlab-dir=$MATLAB_DIR \
+	--with-triangle-dir=$ISSM_DIR/externalpackages/triangle/install \
+	--with-python-dir=$ISSM_DIR/externalpackages/python/install\
+	--with-python-version=$pythonversion \
+	--with-python-numpy-dir=$ISSM_DIR/externalpackages/python/install/lib/python$pythonversion/site-packages/numpy/core/include/numpy\
+	--with-metis-dir=$ISSM_DIR/externalpackages/metis/install \
+	--with-mpi-include=$ISSM_DIR/externalpackages/mpich2/install/include  \
+	--with-mpi-lib=" $ISSM_DIR/externalpackages/mpich2/install/lib/libpmpich.a $ISSM_DIR/externalpackages/mpich2/install/lib/libmpich.a $ISSM_DIR/externalpackages/mpich2/install/lib/libmpl.a " \
+	--with-chaco-dir=$ISSM_DIR/externalpackages/chaco/install \
+	--with-fortran-lib="/usr/local/gfortran/lib/libgfortran.a" \
+	--with-math-lib="/usr/lib/libm.dylib" \
+	--with-graphics-lib="-L/usr/X11R6/lib -lX11" \
+	--with-cxxoptflags=" -fno-common -no-cpp-precomp -fexceptions -arch x86_64 -mmacosx-version-min=10.5  -O3 -DNDEBUG -w "\
+	--with-numthreads=8 \
+	--with-petsc-dir=$ISSM_DIR/externalpackages/petsc/install  \
+	--with-petsc-arch=$ISSM_ARCH \
+	--with-blas-lapack-dir=$ISSM_DIR/externalpackages/petsc/install \
+	--with-plapack-include="-I$ISSM_DIR/externalpackages/petsc/install/include/ " \
+	--with-blacs-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+	--with-scalapack-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+	--with-mumps-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+	--with-numthreads=8
+	#--with-dakota-dir=$ISSM_DIR/externalpackages/dakota/install \
+	#--with-boost-dir=$ISSM_DIR/externalpackages/boost/install/ \
+	#--with-plapack-lib="-L$ISSM_DIR/externalpackages/petsc/install/ -lPLAPACK" \
Index: issm/trunk/configs/config-macosx64-nicole.sh
===================================================================
--- issm/trunk/configs/config-macosx64-nicole.sh	(revision 12709)
+++ issm/trunk/configs/config-macosx64-nicole.sh	(revision 13395)
@@ -15,10 +15,7 @@
 	--with-dakota-dir=$ISSM_DIR/externalpackages/dakota/install \
 	--with-blas-lapack-dir=$ISSM_DIR/externalpackages/petsc/install \
-	--with-plapack-lib="-L$ISSM_DIR/externalpackages/petsc/install -lPLAPACK" \
-	--with-plapack-include="-I$ISSM_DIR/externalpackages/petsc/install/include/ " \
 	--with-blacs-dir=$ISSM_DIR/externalpackages/petsc/install \
 	--with-scalapack-dir=$ISSM_DIR/externalpackages/petsc/install \
 	--with-mumps-dir=$ISSM_DIR/externalpackages/petsc/install \
-	--with-scotch-dir="$ISSM_DIR/externalpackages/scotch/install" \
 	--with-chaco-dir="$ISSM_DIR/externalpackages/chaco/install" \
 	--with-fortran-lib="/usr/local/gfortran/lib/gcc/x86_64-apple-darwin10/4.6.2/libgfortran.a" \
Index: issm/trunk/configure.ac
===================================================================
--- issm/trunk/configure.ac	(revision 12709)
+++ issm/trunk/configure.ac	(revision 13395)
@@ -2,8 +2,10 @@
 
 #AUTOCONF
-AC_INIT([ISSM],[4.2.1],[issm@jpl.nasa.gov],[issm],[http://issm.jpl.nasa.gov]) #Initializing configure
+AC_INIT([ISSM],[4.2.2],[issm@jpl.nasa.gov],[issm],[http://issm.jpl.nasa.gov]) #Initializing configure
 AC_CONFIG_AUX_DIR([./aux-config])         #Put config files in aux-config
 AC_CONFIG_MACRO_DIR([m4])                 #m4 macros are located in m4
+m4_include([m4/issm_options.m4])
 AC_CANONICAL_TARGET                       #Determine the system type
+
 #Compilers
 AC_PROG_CC([cccl cl icl gcc])
@@ -11,6 +13,6 @@
 AC_PROG_CXX([cccl cl icl g++])
 AC_PROG_F77([ifort g77 gfortran])
+
 #Libraries and linking
-AC_PROG_RANLIB
 AC_F77_LIBRARY_LDFLAGS
 AC_PATH_XTRA      #figure out X library and include paths
@@ -22,14 +24,11 @@
 AM_SILENT_RULES([yes])           #Do not show compilation command by default
 AM_PROG_CC_C_O
+AM_PROG_AR
 
-##LIBTOOL?
-#AC_PROG_LIBTOOL
-#LT_INIT
+#Libtool
+LT_INIT
 
 #Run issm_options.m4
 ISSM_OPTIONS
-
-#AM_PROG_AR must be placed after ISSM_OPTIONS
-AM_PROG_AR
 
 #List all Makefiles
@@ -37,11 +36,8 @@
 			src/Makefile
 			src/c/Makefile 
-			src/py/Makefile
-			src/py/model/Makefile
 			src/modules/Makefile
 			src/modules/python/Makefile
 			src/modules/matlab/Makefile
-			src/m/Makefile
-			bin/Makefile])
+			src/m/Makefile])
 
 #End of configure.ac
Index: issm/trunk/etc/environment.csh
===================================================================
--- issm/trunk/etc/environment.csh	(revision 12709)
+++ issm/trunk/etc/environment.csh	(revision 13395)
@@ -1,140 +1,97 @@
 #ISSM_DIR and ISSM_ARCH should have been defined already in your shell settings file (.bashrc, .cshrc, etc ...)
-source $ISSM_DIR/etc/environment_variables.csh
 
-#Do we have any command line arguments? (such as MATLAB_DIR=otherdirthandefault), source them before exporting the variables 
-#to environment.
-
-#foreach i ($@)
-#eval $i
-#end
-
-#CRON utilities
-setenv PATH {$PATH}:{$ISSM_DIR}/cron
-
-#SCRIPTS utilities
+#Load ISSM scripts
 setenv PATH {$PATH}:{$ISSM_DIR}/scripts
 
 #MATLAB
-setenv MATLAB_DIR {$MATLAB_DIR}
-setenv PATH {$MATLAB_DIR}/bin:{$PATH}
-setenv LD_LIBRARY_PATH {$LD_LIBRARY_PATH}:$MATLAB_DIR/lib
+set MATLAB_DIR="$ISSM_DIR/externalpackages/matlab/install"
+if (-d MATLAB_DIR) then
+	setenv MATLAB_DIR {$MATLAB_DIR}
+	setenv PATH {$MATLAB_DIR}/bin:{$PATH}
+	setenv LD_LIBRARY_PATH {$LD_LIBRARY_PATH}:{$MATLAB_DIR}/bin/glnxa64
+endif
 
 #MPI
-setenv MPI_DIR {$MPI_DIR}
-setenv PATH {$MPI_DIR}/bin:{$PATH}
-setenv LD_LIBRARY_PATH {$LD_LIBRARY_PATH}:$MPI_DIR/lib
-setenv MANPATH {$MANPATH}:$MPI_DIR/man
-setenv MPIRUN_NPROCS 8
+set MPI_DIR="$ISSM_DIR/externalpackages/mpich2/install"
+if (-d $MPI_DIR) then
+	setenv MPI_DIR {$MPI_DIR}
+	setenv PATH {$MPI_DIR}/bin:{$PATH}
+	setenv LD_LIBRARY_PATH {$LD_LIBRARY_PATH}:$MPI_DIR/lib
+	setenv MANPATH {$MANPATH}:$MPI_DIR/man
+endif
 
 #PETSC
-setenv PETSC_DIR {$PETSC_DIR}
-setenv LD_LIBRARY_PATH {$LD_LIBRARY_PATH}:$PETSC_DIR/lib/{$ISSM_ARCH}
+set PETSC_DIR="$ISSM_DIR/externalpackages/petsc/install"
+if (-d $PETSC_DIR) then
+	setenv PETSC_DIR {$PETSC_DIR}
+	setenv LD_LIBRARY_PATH {$LD_LIBRARY_PATH}:$PETSC_DIR/lib/{$ISSM_ARCH}
+endif
 
 #SLEPC
-setenv SLEPC_DIR {$SLEPC_DIR}
-setenv LD_LIBRARY_PATH {$LD_LIBRARY_PATH}:$SLEPC_DIR/lib/{$ISSM_ARCH}
+set SLEPC_DIR="$ISSM_DIR/externalpackages/slepc/install"
+if (-d $SLEPC_DIR) then
+	setenv LD_LIBRARY_PATH {$LD_LIBRARY_PATH}:$SLEPC_DIR/lib/{$ISSM_ARCH}
+endif
 
+#PETSC
+set TAO_DIR="$ISSM_DIR/externalpackages/tao/install"
+if (-d $TAO_DIR) then
+	setenv LD_LIBRARY_PATH {$LD_LIBRARY_PATH}:$TAO_DIR/lib/{$ISSM_ARCH}
+endif
 
 #Dakota
-setenv DAKOTA_DIR {$DAKOTA_DIR}
-setenv PATH {$PATH}:{$DAKOTA_DIR}/bin
-setenv MANPATH {$MANPATH}:{$MPI_DIR}/man:{$DAKOTA_DIR}/docs/man:{$DAKOTA_DIR}/docs/man-ref
-
-#Qhull
-setenv QHULL_DIR {$QHULL_DIR}
-setenv LD_LIBRARY_PATH {$LD_LIBRARY_PATH}:{$QHULL_DIR}/lib
-
+set DAKOTA_DIR="$ISSM_DIR/externalpackages/dakota/install"
+if (-d $DAKOTA_DIR) then
+	setenv PATH {$PATH}:{$DAKOTA_DIR}/bin
+	setenv MANPATH {$MANPATH}:{$MPI_DIR}/man:{$DAKOTA_DIR}/docs/man:{$DAKOTA_DIR}/docs/man-ref
+endif
 
 #Doxygen
-setenv DOXYGEN_DIR {$DOXYGEN_DIR}
-setenv MANPATH {$MANPATH}:{$DOXYGEN_DIR}/man
-setenv PATH {$PATH}:{$DOXYGEN_DIR}/bin
+set DOXYGEN_DIR="$ISSM_DIR/externalpackages/doxygen/install"
+if (-d $DOXYGEN_DIR) then
+	setenv MANPATH {$MANPATH}:{$DOXYGEN_DIR}/man
+	setenv PATH {$PATH}:{$DOXYGEN_DIR}/bin
+endif
 
-#MTOC
-setenv MTOC_DIR {$MTOC_DIR}
-setenv PATH {$PATH}:{$MTOC_DIR}
+#AUTOTOOLS
+set AUTOTOOLS_DIR="$ISSM_DIR/externalpackages/autotools/install"
+if (-d $AUTOTOOLS_DIR) then
+	setenv PATH {$AUTOTOOLS_DIR}/bin:{$PATH}
+endif
 
-#MATLAB
-setenv MATLAB_DIR {$MATLAB_DIR}
-setenv LD_LIBRARY_PATH {$LD_LIBRARY_PATH}:{$MATLAB_DIR}/bin/glnxa64
-setenv PATH {$PATH}:{$MATLAB_DIR}/bin
+#SSH
+set SSH_DIR="$ISSM_DIR/externalpackages/ssh"
+if (-d $SSH_DIR) then
+	setenv PATH {$PATH}:{$SSH_DIR}
+endif
 
-#TRIANGLE
-setenv TRIANGLE_DIR {$TRIANGLE_DIR}
+#VALGRIND
+set VALGRIND_DIR="$ISSM_DIR/externalpackages/valgrind/install/bin"
+if (-d $VALGRIND_DIR) then
+	setenv PATH {$PATH}:{$VALGRIND_DIR}
+endif
 
-#METIS
-setenv METIS_DIR {$METIS_DIR}
-	
-#BLAS
-setenv BLAS_DIR {$BLAS_DIR}
+#MERCURIAL
+set MERCURIAL_DIR="$ISSM_DIR/externalpackages/mercurial/install"
+if (-d $MERCURIAL_DIR) then
+	setenv PYTHONPATH {$MERCURIAL_DIR}/mercurial/pure/
+	setenv PATH {$PATH}:{$MERCURIAL_DIR}
+endif
 
-#LAPACK
-setenv LAPACK_DIR {$LAPACK_DIR}
+#GSL
+set GSL_DIR="$ISSM_DIR/externalpackages/gsl/install"
+if (-d $GSL_DIR) then
+	setenv LD_LIBRARY_PATH {$LD_LIBRARY_PATH}:{$GSL_DIR}/lib
+endif
 
-#SCALAPACK
-setenv SCALAPACK_DIR {$SCALAPACK_DIR}
-
-#PLAPACK
-setenv PLAPACK_DIR {$PLAPACK_DIR}
-
-#BLACS
-setenv BLACS_DIR {$BLACS_DIR}
+#CMAKE
+set CMAKE_DIR="$ISSM_DIR/externalpackages/cmake/install"
+if (-d $CMAKE_DIR) then
+	setenv PATH {$PATH}:{$CMAKE_DIR}/bin
+endif
 
 #YAMS
-setenv YAMS_DIR {$YAMS_DIR}
-setenv PATH {$PATH}:{$YAMS_DIR}
-
-#TEX2IM
-setenv TEX2IM_DIR {$TEX2IM_DIR}
-setenv PATH {$PATH}:{$TEX2IM_DIR}
-
-#SOWING
-setenv SOWING_DIR {$SOWING_DIR}
-setenv PATH {$PATH}:{$SOWING_DIR}/bin
-setenv LD_LIBRARY_PATH {$LD_LIBRARY_PATH}:{$SOWING_DIR}/lib
-setenv MANPATH {$MANPATH}:{$SOWING_DIR}/man
-
-#Chaco
-setenv CHACO_DIR {$CHACO_DIR}
-setenv PATH {$PATH}:{$CHACO_DIR}
-
-#MeshPart
-setenv MESHPART_DIR {$MESHPART_DIR}
-setenv PATH {$PATH}:{$MESHPART_DIR}
-
-#SCOTCH
-setenv SCOTCH_DIR {$SCOTCH_DIR}
-setenv PATH {$PATH}:{$SCOTCH_DIR}
-setenv MANPATH {$MANPATH}:{$SCOTCH_DIR}/man
-
-#AUTOCONF
-setenv AUTOCONF_DIR {$AUTOCONF_DIR}
-setenv PATH {$AUTOCONF_DIR}/bin:{$PATH}
-
-#AUTOMAKE
-setenv AUTOMAKE_DIR {$AUTOMAKE_DIR}
-setenv PATH {$AUTOMAKE_DIR}/bin:{$PATH}
-
-#BORLAND
-setenv BORLAND_DIR {$BORLAND_DIR}
-setenv PATH {$PATH}:{$BORLAND_DIR}/Bin
-
-#SSH
-setenv SSH_DIR {$SSH_DIR}
-setenv PATH {$PATH}:{$SSH_DIR}
-
-#VALGRIND
-setenv VALGRIND_DIR {$VALGRIND_DIR}
-setenv PATH {$PATH}:{$VALGRIND_DIR}
-
-#MERCURIAL
-#setenv PYTHONPATH {$PYTHONPATH}:{$MERCURIAL_DIR}/mercurial/pure/
-setenv PYTHONPATH {$MERCURIAL_DIR}/mercurial/pure/
-setenv PATH {$PATH}:{$MERCURIAL_DIR}
-
-#GSL
-setenv GSL_DIR {$GSL_DIR}
-setenv LD_LIBRARY_PATH {$LD_LIBRARY_PATH}:{$GSL_DIR}/lib
-
-#CMAKE
-setenv PATH {$PATH}:{$CMAKE_DIR}/bin
+set YAMS_DIR="$ISSM_DIR/externalpackages/yams/install"
+if (-d $YAMS_DIR) then
+	setenv PATH {$PATH}:{$YAMS_DIR}/bin
+endif
